{% extends 'main/base.html' %}

{% block content %}
  
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-10 ml-auto mr-auto">

                <div class="section">
                        <div class="container">
                            <h2 class="section-title">Pamatsortiments</h2>

                            <div class="row">
                                {% if sortiment %}
                                <div class="table-responsive">
                                <table class="table table-shopping">
                                    <thead>
                                    <tr>
                                        <th>Nosaukums</th>
                                        <th>EAN</th>
                                        <th>Detaļas</th>
                                        <th class="text-right"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for sortiment in sortiment %}
                                    <tr>
                                        <td><img src="{{sortiment.photo_thumbnail_mini.url}}"> {{ sortiment.name|default_if_none:"" }}</td>
                                        <td>{{sortiment.EAN|default_if_none:""}}</td>
                                        <td>{{sortiment.percent|default_if_none:""}}, {{sortiment.liters|default_if_none:""}} {{sortiment.country|default_if_none:""}}, {{sortiment.edcategory|default_if_none:""}}</td>
                                        <td class="td-actions text-right">
                                                <form method="POST" action="{% url 'sortiment:delete' sortiment.id %}">
                                                    {% csrf_token %}
                                                    <a href="{% url 'sortiment:edit' sortiment.id %}">
                                                        <button type="button" rel="tooltip" class="btn btn-success btn-round btn-just-icon btn-sm" data-original-title="" title="">
                                                            <i class="material-icons">edit</i>
                                                        </button>
                                                    </a>
                                                    <a href="{% url 'sortiment:delete' sortiment.id %}">
                                                    <button type="submit" rel="tooltip" class="btn btn-danger btn-round btn-just-icon btn-sm" data-original-title="" title="" onClick="return confirm('Vai tiešām vēlaties dzēst?');">
                                                        <i class="material-icons">close</i>
                                                    </button>
                                                    </a>
                                                </form>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                                <p>
                                    <a href="{% url 'sortiment:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                </p>
                                </div>
                                {% else %}
                                <p> 
                                    <a href="{% url 'sortiment:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                    Pamatsortiments ir tukšs. Pievienot jaunu preces vienību.
                                </p>
                                {% endif %}  
                            </div>
                    
                        </div>
                    </div>    
            
                </div>
        </div>
    </div>

  

{% endblock %}